echo off

IF "%1" == "" (
   GOTO NO_FONT
)

IF "%2" == "" (
   GOTO NO_NAME
)
echo on

java -cp .\fop.jar org.apache.fop.fonts.apps.TTFReader -ttcname %2 %1.ttc %1.xml

echo off

:NO_FONT
echo A TrueType connection file (ttc) needs to be specified, without the file extension. Usage "Create_XML_from_TTC.cmd msgothic" lists all fonts in collection. 'Create_XML_from_TTC.cmd msgothic "MS Gothic"' creates the XML font metrics file.

GOTO END

:NO_NAME
echo A font name in the TrueType connection needs to be specified. Usage 'Create_XML_from_TTC.cmd msgothic' lists all fonts in collection. 'Create_XML_from_TTC.cmd msgothic "MS Gothic"' creates the XML font metrics file. See list of fonts below.

java -cp .\fop.jar org.apache.fop.fonts.apps.TTFReader %1.ttc %1.xml

:END

echo on